Bug 437966 - Review Request: aimage - Advanced Disk Imager
Review Request: aimage - Advanced Disk Imager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 389471
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 09:29 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-03-25 19:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-25 19:11:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-03-18 09:29:13 EDT
Spec URL: http://kwizart.fedorapeople.org/SPECS/aimage.spec
SRPM URL: http://kwizart.fedorapeople.org/SRPMS/aimage-3.1.0-1.fc9.kwizart.src.rpm
Description: Advanced Disk Imager

rpmlint is quiet -  build tested for F-9
Comment 1 Nicolas Chauvet (kwizart) 2008-03-18 09:30:45 EDT
Need to have afflib reviewed first
Comment 2 Mamoru TASAKA 2008-03-21 11:18:35 EDT
I would review this. I would appreciate it if you would review
my review request (bug 438538 : very simple!)
Comment 3 Nicolas Chauvet (kwizart) 2008-03-21 11:23:51 EDT
thx, I will.

Note that this is currently F-9 only (F-8 when afflib-devel will be stable).
I also made a typo with the pkg-config requirement , so the fix will be
available on next push for Rawhide.

Comment 4 Mamoru TASAKA 2008-03-21 12:39:18 EDT
(In reply to comment #3)
> Note that this is currently F-9 only (F-8 when afflib-devel will be stable).
> I also made a typo with the pkg-config requirement , so the fix will be
> available on next push for Rawhide.

No worry. I always pull rpms from koji (by yum).
Well, this package seems okay, however what does the GPL license file
mean??
Comment 5 Nicolas Chauvet (kwizart) 2008-03-21 13:30:52 EDT
aimage has been splitted from afflib with is BSD with advertissing.

I haven't seen any mention of the GPL license within the source code, so for me
this remains BSD with advertissing..
I will ask upstream about this...
Comment 6 Mamoru TASAKA 2008-03-21 13:43:34 EDT
Yes, the source codes and upstream home page shows this is under
BSD with advertising...

Anyway:
- spec/srpm okay
- builds properly
  http://koji.fedoraproject.org/koji/taskinfo?taskID=525162
- can be installed
- seems to work well
!  For license file, I am of no objection against that this is uder
   BSD with advertising, however please ask upstream for clarification.

----------------------------------------------------------------------
     This package (aimage) is APPROVED by me
----------------------------------------------------------------------
Comment 7 Nicolas Chauvet (kwizart) 2008-03-21 13:52:53 EDT
License clarification has been requested here:
http://groups.google.com/group/aff-discuss

I will probably wait a little before importing.

New Package CVS Request
=======================
Package Name:      aimage
Short Description: Advanced Disk Imager
Owners:            kwizart
Branches:          F-8
InitialCC:
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-03-21 17:28:56 EDT
In comment #3 you mention that this should be F-9 only... but you are requesting
a F-8 branch too? Does it work on F-8 as well? 

Comment 9 Nicolas Chauvet (kwizart) 2008-03-21 18:15:01 EDT
@Kevin 
Yes but the afflib-devel isn't available in F-8 for now...
(will be soon)
Comment 10 Kevin Fenzi 2008-03-22 21:14:13 EDT
ok. Sorry for the delay. 
cvs done. 
Comment 11 Nicolas Chauvet (kwizart) 2008-03-25 19:11:05 EDT
thx for the review and for the cvs!

Note You need to log in before you can comment on or make changes to this bug.